> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/retrieve-available-currencies.md).

# Retrieve available currencies

Use the **getAvailableCurrencies** method via SOAP API 6.0 to get the list of available currencies. If the `countryCode` parameter is added, the `paymentMethod` parameter also becomes mandatory (you need to use both parameters or none).

## Request parameters <a href="#request-parameters" id="request-parameters"></a>

<table><thead><tr><th width="145.7332763671875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionId</code></td><td><strong>Required (string)</strong><br>Session identifier, the output of the <strong>Login</strong> method. Include <code>sessionId</code> into all your requests. 2Checkout throws an exception if the values are incorrect. The <code>sessionId</code> expires in 10 minutes.</td></tr><tr><td><code>countryCode</code></td><td><strong>Required (string)</strong><br>The ISO country code (two-letter code). If the <code>countryCode</code> parameter is used, the <code>paymentMethod</code> parameter must be used as well and both parameters are mandatory.</td></tr><tr><td><code>paymentMethod</code></td><td><strong>Required (string)</strong><br>The payment method for which you are retrieving the list of available currencies.</td></tr></tbody></table>

### Request sample <a href="#request-example" id="request-example"></a>

```php
<?php

$apiVersion = '6.0';
$host = "http://api.avangate.local:8081/soap/".$apiVersion."/";

$client = new SoapClient($host."?wsdl", array('location' => $host, 'cache_wsdl' => WSDL_CACHE_NONE));
$client->__setCookie('XDEBUG_SESSION', 'PHPSTORM');

$merchantCode = "124231873235";
$key = "%&7+J[Q7T!B!1(z1e7&a";

$date = gmdate('Y-m-d H:i:s');
$string = strlen($merchantCode) . $merchantCode . strlen($date) . $date;
$hash = hash_hmac('md5', $string, $key);

try {
    echo "login \r\n";
    $sessionID = $client->login($merchantCode, $date, $hash);
} catch (SoapFault $e) {
    echo  $e->getMessage();
}

print_r("session: ". $sessionID);

$countryCode = 'ro';
$paymentMethod = 'CC';

try {
//    $response = $client->getAvailableCurrencies($sessionID);
    $response = $client->getAvailableCurrencies($sessionID, $countryCode, $paymentMethod);
}

catch (SoapFault $e) {
    echo "VendorSettingsController.php: " . $e->getMessage();
    exit;
}
var_dump($response);

```

## Response parameters <a href="#response" id="response"></a>

<table><thead><tr><th width="125.4666748046875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>currencies</code></td><td><strong>Array</strong><br>An array of currency objects.</td></tr></tbody></table>

### Response sample <a href="#response-example" id="response-example"></a>

```php
[
  {
      "Code":"USD",
      "ISO3DigitCode":"840",
      "Label":"United States Dollar",
      "Symbol":"$",
      "SymbolPosition":"left",
      "DecimalSeparator":".",
      "UnitSeparator":",",
      "Decimals":"2"
   }
]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/retrieve-available-currencies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
